跳到主要內容

已不再支援此瀏覽器。

請升級至 Microsoft Edge,以利用最新功能、安全性更新和技術支援。

下載 Microsoft Edge Internet Explorer 和 Microsoft Edge 的詳細資訊
microsoft-foundry.rest.security.o-auth2-auth

Memory Stores

Create a memory store

POST /memory_stores

Creates a memory store resource with the provided configuration.

標頭參數

Foundry-Features enum 必要

A feature flag opt-in required when using preview operations or modifying persisted preview resources.

MemoryStores=V1Preview

查詢參數

api-version string 必要

The API version to use for this operation.

要求本文

Content-Type: application/json
name string 必要

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default 必要

Base definition for memory store configurations.

下列其中一項:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum 必要

The kind of the memory store.

default
chat_model string 必要

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string 必要

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean 必要

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean 必要

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

回覆

The request has succeeded.

主體

Content-Type: application/json
object enum 必要

The object type, which is always 'memory_store'.

memory_store
id string 必要

The unique identifier of the memory store.

created_at integer 必要
updated_at integer 必要
name string 必要

The name of the memory store.

description string

A human-readable description of the memory store.

metadata object

Arbitrary key-value metadata to associate with the memory store.

[key: string] string
definition default 必要

Base definition for memory store configurations.

下列其中一項:
default MemoryStoreDefaultDefinition

Default memory store implementation.

kind enum 必要

The kind of the memory store.

default
chat_model string 必要

The name or identifier of the chat completion model deployment used for memory processing.

embedding_model string 必要

The name or identifier of the embedding model deployment used for memory processing.

options MemoryStoreDefaultOptions

Default memory store configurations.

user_profile_enabled boolean 必要

Whether to enable user profile extraction and storage. Default is true.

user_profile_details string

Specific categories or types of user profile information to extract and store.

chat_summary_enabled boolean 必要

Whether to enable chat summary extraction and storage. Defaults to true.

procedural_memory_enabled boolean

Whether to enable procedural memory extraction and storage. The service defaults to true if a value is not specified by the caller.

default_ttl_seconds integer

The default time-to-live for memories in seconds. A value of 0 indicates that memories do not expire. Defaults to 0.

Client error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Server error

主體

Content-Type: application/json
error OpenAI.Error 必要
code string | null 必要
message string 必要
param string | null
type string
misalignment OpenAI.MisalignmentErrorDetailsResource
review_target string | null
error_type string | enum
以下任何一項:
string
enum
potentially_unintended_data_transferpotentially_unintended_data_accesspotentially_unintended_destructive_activityother
detailed_explanation string

The public explanation for this block.

steer OpenAI._MisalignmentSteer
message string 必要

The public continuation instruction.

details OpenAI.Error[]
additionalInfo object
debugInfo object

Request

POST /memory_stores HTTP/1.1

回應

Status: 200
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json
zh-tw
您的隱私權選擇
  • AI 免責聲明
  • 舊版本
  • 部落格
  • 參與
  • 隱私權
  • 消費者健康隱私
  • 使用規定
  • 商標
  • © Microsoft 2026